Subject: Re: [PATCH net-2.6.22 1/3] [TCP]: Sed magic converts func(sk, tp, ...) -> func(sk, ...)

From: Patrick McHardy <[email-masked]>
Date: Mon, 16 Apr 2007 17:32:05 +0200

Ilpo Järvinen wrote:
> On Mon, 16 Apr 2007, Patrick McHardy wrote:
> 
>>[...]
> 
> ...in the other (original) patch description that is not copied fully here 
> I had a sort of disclaimer for these missing ones but in case they should 
> all be changed so that if the added tcp_sock is the only local variable I 
> can do that of course... It's not clear to me what is really the preferred 
> style considering all the variants... E.g., tcp_check_probe_timer (below) 
> does not have the newline before this patch either?!? :-) ...tried to look 
> from CodingStyle too but it didn't give any light to this thing...

The preferred style is a newline after variable declarations. Some
(mostly old) code doesn't consistently do that, but in cases where
you add the first local variable you should really add them.

>>> 	const struct inet_connection_sock *icsk = inet_csk(sk);
> 
> 
> ...No newline should be place here, since it's being followed by 
> another local variable defination.

Yes, this one was a mistake. In this case I would probably leave it
as it was before to avoid bloating the patch, but I guess nobody
would mind if you'd add newlines here as well, the patch is not very
large or hard to understand anyway.